image: docker:latest

services:
  - docker:dind

before_script:
  - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY

build:
  stage: build
  script:
    - docker build --pull -t "$CI_REGISTRY_IMAGE" .
    - export JAVA_VERSION=$(docker run --rm $CI_REGISTRY_IMAGE env | awk -F= '/JAVA_VERSION/ { print $2 }')
    - export TOMCAT_VERSION=$(docker run --rm $CI_REGISTRY_IMAGE env | awk -F= '/TOMCAT_VERSION/ { print $2 }')
    - docker tag "$CI_REGISTRY_IMAGE" "$CI_REGISTRY_IMAGE:$JAVA_VERSION-$TOMCAT_VERSION"
    - docker tag "$CI_REGISTRY_IMAGE" "$CI_REGISTRY_IMAGE:$JAVA_VERSION-$TOMCAT_VERSION-g$CI_COMMIT_SHORT_SHA"
    - docker push "$CI_REGISTRY_IMAGE"
